Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Add missing `@Incubating` annotation

Make `Project.plugins { }` extension a top-level function

Fail to compile nested `plugins` blocks in Kotlin scripts

Fail to compile nested `plugins` blocks in Kotlin scripts

Avoid using the daemon on wrapper recovery test

Add more debug for Windows failure

Merge pull request #10822 from gradle/bamboo/kotlin-dsl/implicit-receivers

Remove `Gradle`, `Settings` and `Project` interfaces from Kotlin DSL script type hierarchies

Fix timestamps in log

Polish ResolverEnvironment

Signed-off-by: Paul Merlin <paul@gradle.com>

Fix tooling-api unit test for distribution install

Fix tooling-api unit test for distribution install

Remove now unused ResolverAction.Return

Signed-off-by: Paul Merlin <paul@gradle.com>

Remove now unused ResolverAction.Return

Signed-off-by: Paul Merlin <paul@gradle.com>

Polish ResolverCoordinatorTest

Signed-off-by: Paul Merlin <paul@gradle.com>

Polish ResolverCoordinatorTest

Signed-off-by: Paul Merlin <paul@gradle.com>

Disallow using dependency locking with failOnDynamic/Changing versions

Because those 2 features are effectively incompatible:

- either you use dynamic versions but with locking

- or you disallow dynamic versions

Disallow using dependency locking with failOnDynamic/Changing versions

Because those 2 features are effectively incompatible:

- either you use dynamic versions but with locking

- or you disallow dynamic versions

Remove unnecessary import

Simplify test to check that result of resolution can be stable

For this, just reuse the `canShortCircuitSelection` method.

Simplify test to check that result of resolution can be stable

For this, just reuse the `canShortCircuitSelection` method.

Update error message for documentation check

Remove unused methods

Remove unused methods

Put short-circuit behing an IDE flag

Next IJ release will make use of that flag.

It is unset by default, disabling the reintroduced short-circuit,

in order not to break users of existing IJ versions.

Signed-off-by: Paul Merlin <paul@gradle.com>

Put short-circuit behing an IDE flag

Next IJ release will make use of that flag.

It is unset by default, disabling the reintroduced short-circuit,

in order not to break users of existing IJ versions.

Signed-off-by: Paul Merlin <paul@gradle.com>

Fix detection of unstable resolution result

when there are multiple candidates and the selected

version is higher than the non-dynamic selectors

versions.

Fix detection of unstable resolution result

when there are multiple candidates and the selected

version is higher than the non-dynamic selectors

versions.

Add compatibility note on precompiled script plugins

    • -0
    • +2
    /subprojects/docs/src/docs/release/notes.md
Merge branch 'release' into bamboo/kotlin-dsl/implicit-receivers

Merge pull request #10925 from gradle/eskatos/bincompat/do-not-ignore-deprecated

Stricter binary compatibility check of deprecated members